# Installation (v1.0.5)

First, verify the file is authentic:
```sh
diff -is <(echo "18c29bf55f381c9d6161f6086e0edcbb43111ebaf3767fa90675c98f8294b4f6") <(sha256sum "vinkvfxls-v1.0.5-linux.sh" | awk '{print $1}')
```
If it mentions "OK", then continue.

It is recommended to install using this command:
```sh
tar -xf vinkvfxls-v1.0.5-linux.tar.gz
chmod +x vinkvfxls-v1.0.5-linux.run
./vinkvfxls-v1.0.5-linux.run --prefix=/opt
```

But you can also choose your own directory by removing the prefix argument. For ease of this guide I assume it is installed in `/opt/vinkvfxls`.

If you want to make the server available as the `vinkvfxls` command, you can make a symlink using this command:
```sh
ln -fs /opt/vinkvfxls/bin/vinkvfxls /usr/local/bin/vinkvfxls
```

Make sure you install the licenses before using the server. Refer to the docs for instructions:

https://docs.vinkvfx.com/license-server/quickstart/

## Installing vinkvfxls as a service
In the installed directory there is a script called `svc.sh`
This can be used to install the license server, so it boots automatically on server start.

```sh
/opt/vinkvfxls/svc.sh --install
```

Then start the server using:
```sh
/opt/vinkvfxls/svc.sh --start
```

You can check the service status using:
``` sh
/opt/vinkvfxls/svc.sh --status
```

It also has the options available for uninstalling or stopping the service using `--stop` and `--uninstall`.